ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010771ClearOSapp-zarafa - Zarafa Enginepublic2016-09-26 12:032017-05-10 09:23
Reporterpbaldwin 
Assigned Topbaldwin 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version7.3.1 UpdatesFixed in Version7.3.1 Updates 
Summary0010771: Group ownership problems with 7.2.4.x
DescriptionA customer managed to get Zarafa 7.2.4.x installed on the system. However, the group ownership is incorrect (likely due to an upstream packaging issue). Files marked with a "G" have the wrong group assigned:

.M....G.. c /etc/zarafa/backup.cfg
......G.. c /etc/zarafa/backup-plus.cfg
......G.. c /etc/zarafa/dagent.cfg
S.5...GT. c /etc/zarafa/gateway.cfg
..5...GT. c /etc/zarafa/ical.cfg
.M....G.. c /etc/zarafa/licensed.cfg
......G.. c /etc/zarafa/monitor.cfg
......G.. c /etc/zarafa/ldapms.active-directory.cfg
......G.. c /etc/zarafa/ldapms.openldap.cfg
......G.. c /etc/zarafa/presence.cfg
......G.. c /etc/zarafa/search.cfg
......G.. c /etc/zarafa/ldap.active-directory.cfg
......G.. c /etc/zarafa/ldap.openldap.cfg
S.5...GT. c /etc/zarafa/ldap.propmap.cfg
S.5...GT. c /etc/zarafa/server.cfg
......G.. c /etc/zarafa/unix.cfg
......G.. c /etc/zarafa/spooler.cfg
......G.. c /etc/httpd/conf.d/zarafa-webapp.conf
.M....G.. c /etc/zarafa/webapp/config.php
.M....G.. /var/lib/zarafa-webapp
TagsNo tags attached.
Attached Files

- Relationships
related to 0010461closedbchambers Zarafa 7.2.6 Upgrade 

-  Notes
(0003981)
bchambers (administrator)
2016-09-26 13:17

Check my last deploy/upgrade for 7.2.4 support:

+# Fix permissions of cfg so Zarafa can read them in 7.4
+#------------------------------------------------------
+
+chmod 640 /etc/zarafa/*.cfg
+chown root.zarafa /etc/zarafa/*.cfg
+
+# Fix Apache permissions in 7.4
+#------------------------------
+chmod 775 /var/lib/zarafa-webapp
+chown apache.apache /var/lib/zarafa-webapp/tmp/

This was necessary to fix start up some daemons...did I break something else?

https://bitbucket.org/clearos/app-zarafa/commits/e63c7fbeda493bdd1e8491d31a4a7a69362992d7 [^]
(0005501)
pbaldwin (administrator)
2017-05-01 12:55

This seems to have been fixed upstream. 7.2.6 permissions are more sane.

- Issue History
Date Modified Username Field Change
2016-09-26 12:03 pbaldwin New Issue
2016-09-26 12:03 pbaldwin Status new => confirmed
2016-09-26 13:17 bchambers Note Added: 0003981
2016-09-26 13:20 bchambers Relationship added related to 0010461
2016-10-10 09:52 pbaldwin Target Version => 7.3.0 Beta 1
2016-11-16 09:12 pbaldwin Target Version 7.3.0 Beta 1 => 7.3.0 Beta 1
2017-01-16 13:17 pbaldwin Target Version 7.3.0 Beta 1 => 7.3.0
2017-02-01 10:17 pbaldwin Target Version 7.3.0 => 7.3.1 Updates
2017-05-01 12:55 pbaldwin Note Added: 0005501
2017-05-01 12:55 pbaldwin Status confirmed => resolved
2017-05-01 12:55 pbaldwin Fixed in Version => 7.3.1 Updates
2017-05-01 12:55 pbaldwin Resolution open => fixed
2017-05-01 12:55 pbaldwin Assigned To => pbaldwin
2017-05-10 09:23 pbaldwin Status resolved => closed